> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow.md).

# runai training tensorflow

tensorflow management

## Options

```
  -h, --help   help for tensorflow
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai training](/self-hosted/2.20/reference/cli/runai/runai_training.md) - training management
* [runai training tensorflow attach](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_attach.md) - attach to a running container in a tf training job
* [runai training tensorflow bash](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_bash.md) - open a bash shell in a tf training job
* [runai training tensorflow delete](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_delete.md) - delete tf training workload
* [runai training tensorflow describe](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_describe.md) - describe tf training
* [runai training tensorflow exec](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_exec.md) - execute a command in a tf training job
* [runai training tensorflow list](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_list.md) - list tf training
* [runai training tensorflow logs](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_logs.md) - view logs of a tf training job
* [runai training tensorflow port-forward](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_port-forward.md) - forward one or more local ports to a tf training job
* [runai training tensorflow resume](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_resume.md) - resume tf training
* [runai training tensorflow submit](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_submit.md) - submit tf training
* [runai training tensorflow suspend](/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow_suspend.md) - suspend tf training


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_training_tensorflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
